#ifndef TMHistogrammingGlobalFastorMissingBCmod_H
#define TMHistogrammingGlobalFastorMissingBCmod_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingGlobalFastorMissingBCmod : public TMHistogramming {
 public:
  TMHistogrammingGlobalFastorMissingBCmod(Short_t bcmodfour);
  virtual ~TMHistogrammingGlobalFastorMissingBCmod();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row, Short_t bcmod);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void ResetHitChip();
  virtual void ResetCounters();

  virtual ULong_t GetTotalExpected(){return fTotalExpected;}
  virtual ULong_t GetTotalActual(){return fTotalActual;}

  UInt_t ChipNumber(UInt_t eq, UInt_t hs, UInt_t chip);
  TH1* GetHisto(){return (TH1*)fTheHisto;} 

 protected:
  Short_t fBCmodFour;
  ULong_t fTotalExpected;
  ULong_t fTotalActual;

  ULong_t fExpected[1200];
  ULong_t fActual[1200];

  Bool_t  fHitChip[20][6][10];
  TH1F    *fTheHisto;

};

#endif
